import request from '@/utils/request'

// 查询店铺销售记录列表
export function listRecord(query) {
  return request({
    url: '/management/record/list',
    method: 'get',
    params: query
  })
}

// 查询店铺销售记录详细
export function getRecord(shopSalesRecordId) {
  return request({
    url: '/management/record/' + shopSalesRecordId,
    method: 'get'
  })
}

// 新增店铺销售记录
export function addRecord(data) {
  return request({
    url: '/management/record',
    method: 'post',
    data: data
  })
}

// 修改店铺销售记录
export function updateRecord(data) {
  return request({
    url: '/management/record',
    method: 'put',
    data: data
  })
}

// 删除店铺销售记录
export function delRecord(shopSalesRecordId) {
  return request({
    url: '/management/record/' + shopSalesRecordId,
    method: 'delete'
  })
}

// 导出店铺销售记录
export function exportRecord(query) {
  return request({
    url: '/management/record/export',
    method: 'get',
    params: query
  })
}